Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputAxis_Group

CL_InputAxis container class. Groups a set of axes.
Contained in: global
Derived from: CL_InputAxis
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Operations:

``void`` | `add` | `(`CL_InputAxis`* `add_axis`)`;
``void`` | `remove` | `(`CL_InputAxis`* `remove_axis`)`;

### Attributes:

``virtual` `float`` | `get_pos` | `()`;

## Description:

## Function Member Descriptions:

CL_InputAxis_Group::add - Adds a input axis to the group.
``void`` `add` `(`CL_InputAxis`* `add_axis`)`;

> add_axis - Axis to be added.

CL_InputAxis_Group::get_pos - Returns the current axis position. This is calculated by sumarizing all the input axes positions and return that value.
``virtual` `float`` `get_pos` `()`;

> Returns - Current axis position.

CL_InputAxis_Group::remove - Removes a input axis from the group.
``void`` `remove` `(`CL_InputAxis`* `remove_axis`)`;

> remove_axis - Axis to be removed.

## Variable Member Descriptions: